Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTElseStatement

    java.lang.Object
      |
      +--org.apache.velocity.runtime.parser.node.SimpleNode
            |
            +--org.apache.velocity.runtime.parser.node.ASTElseStatement

All Implemented Interfaces:
  Node

public class ASTElseStatement
extends SimpleNode

This class is responsible for handling the Else VTL control statement. Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTElseStatement.java,v 1.7 2001/10/22 03:53:24 jon Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTElseStatement(int id)`
`ASTElseStatement(Parser p, int id)`

Method Summary
`boolean` | `evaluate(InternalContextAdapter context)` An ASTElseStatement always evaluates to true.
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, value`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### ASTElseStatement

    public ASTElseStatement(int id)

### ASTElseStatement

    public ASTElseStatement(Parser p,
                            int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.
  Overrides:
    `jjtAccept` in class `SimpleNode`

### evaluate

    public boolean evaluate(InternalContextAdapter context)

  An ASTElseStatement always evaluates to true. Basically behaves like an #if(true).
  Overrides:
    `evaluate` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.